/* main */

@font-face {
    font-family: 'ozyv';
    src: url('../fonts/ozyv.woff2') format('woff2'),
         url('../fonts/ozyv.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

:root {
	--gray0: #f8f8f8;
	--gray1: #dbe1e8;
	--gray2: #b2becd;
	--gray3: #6c7983;
	--gray4: #454e56;
	--gray5: #2a2e35;
    --gray6: #12181b;
    
	--purple: #a82dd1;
    --yellow: #fff565;
    --blue: #3867d6;
}

.light {
	--bg: var(--gray0);
	--bg-nav: linear-gradient(to right, var(--gray1), var(--gray3));
    --bg-dropdown: var(--gray4);
    --bg-dropdown-h: var(--gray5);
	--text: var(--gray0);
	--border-color: var(--blue);
}

.dark {
	--bg: var(--gray5);
	--bg-nav: linear-gradient(to right, var(--gray5), var(--gray6));
    --bg-dropdown: var(--gray0);
    --bg-dropdown-h: var(--gray2);
	--text: var(--gray6);
	--border-color: var(--blue);
}

body {
    margin: 0;
    padding: 0;
    height: 100vh;
    
    color: var(--text);
	background: var(--bg);
	transition: background 500ms ease-in-out, color 1000ms ease-in-out;
}

.app {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* Typography */
h1 {
    font-size: 60px;
    font-family: "ozyv";
    color: var(--blue);
    margin-bottom: 10px;
}


p {
    font-size: 30px;
    font-family: "ozyv";
    color: var(--blue);
    /* text-transform: uppercase; */
}

p span {
    font-size: 35px;
}

/* Buttons Style */
.buttons button {
    background-color: var(--blue);
    border: 2px solid var(--blue);;
    color: #FFFFFF;
    padding: 15px 32px;
    text-align: center;
    margin: 16px 0;
    text-decoration: none;
    font-size: 16px;
    cursor: pointer;
}

.buttons button:hover {
    background-color: transparent;
    color: var(--blue);
}


/* Scores */

.scores {
    width: 600px;
    display: flex;
    justify-content: space-evenly;
}

/* Swap modes */

#dark::before {
    background: #2a2e35;
}

#light::before {
    background: #FFFFFF;
}

.btn {
    padding: 10px;
    font-size: 30px;
    border: none;
    background-color: #0984e3;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
      
    cursor: pointer;
    transition: background-color .4s ease-out;
}
  
.dropdown {
    position: absolute;
    top: 15%;
    right: 0;
}
  
.dropdown-content {
    /*display: none;*/
    opacity: 0;
    position: absolute;
    background-color: var(--bg-dropdown);
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    width: 100%;
    transition: opacity .15s ease-out;
}

.dropdown-text {
    display: block;
    text-align: center;
    padding: 15px 0;
}
  
.dropdown-content a {
    display: block;
    padding: 12px 0;
    text-align: center;
    color: var(--text);
    text-decoration: none;
}
  
.dropdown-content a::before {
    content: " ";
    border: 2px solid var(--border-color);
    border-radius: 50%;
    width: 2rem;
    height: 2rem;
    display: inline-block;
    vertical-align: middle;
    margin-bottom: 7px;
      
}
  
.dropdown-content a:hover {
    background-color: var(--bg-dropdown-h);
}
  
.dropdown:focus-within .dropdown-content {
    /*display: block;*/
    opacity: 1;
    pointer-events: auto;
}
  
.btn:hover {
    background-color: #6c5ce7;
}


/* Color input */
.input-color-container {
    margin: 0 auto;
    padding: 10px 0;
}

.input-color-container:hover {
    background-color: var(--bg-dropdown-h);
}

.input-color-circle {
    position: relative;
    overflow: hidden;
    width: 2rem;
    height: 2rem;
    border: solid 2px var(--border-color);
    border-radius: 50%;
    left: 50%;
    transform: translateX(-50%);
}

.input-color {
    position: absolute;
    right: -10px;
    top: -8px;
    width: 56px;
    height: 56px;
    border: none;
    cursor: pointer;

}

.input-color-label {
    display: block;
    padding: 5px 0;
    cursor: pointer;
    text-align: center;
    color: var(--text);
}